# Class TouchEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.TouchEvent

All Implemented Interfaces:
  `Serializable`

public class TouchEvent extends TypedEvent
Instances of this class are sent in response to a touch-based input source being touched.

Since:
  3.7
See Also:
  - `TouchListener`
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`stateMask`
The state of the keyboard modifier keys and mouse masks at the time the event was generated.
`Touch[]`
`touches`
The set of touches representing the state of all contacts with touch input device at the time the event was generated.
`int`
`x`
The widget-relative x coordinate of the pointer at the time the touch occurred.
`int`
`y`
The widget-relative y coordinate of the pointer at the time the touch occurred.

### Fields inherited from class TypedEvent

`data, display, time, widget`

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TouchEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### touches

public Touch[] touches
The set of touches representing the state of all contacts with touch input device at the time the event was generated.

See Also:
  - `Touch`

### stateMask

public int stateMask
The state of the keyboard modifier keys and mouse masks at the time the event was generated.

See Also:
  - `SWT.MODIFIER_MASK`
  - `SWT.BUTTON_MASK`

### x

public int x
The widget-relative x coordinate of the pointer at the time the touch occurred.

### y

public int y
The widget-relative y coordinate of the pointer at the time the touch occurred.

## Constructor Details

### TouchEvent

public TouchEvent(Event e)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event